Skip to main content
GET
/
api
/
v1
/
conversation
/
{conversation_id}
/
events
/
search
Search Conversation Events
curl --request GET \
  --url https://app.all-hands.dev/api/v1/conversation/{conversation_id}/events/search \
  --header 'X-Access-Token: <api-key>'
{
  "items": [
    {
      "source": "agent",
      "code": "<string>",
      "detail": "<string>",
      "kind": "<string>",
      "id": "<string>",
      "timestamp": "<string>"
    }
  ],
  "next_page_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://allhandsai-add-v1-api-reference.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Access-Token
string
header
required

Path Parameters

conversation_id
string
required

Query Parameters

kind__eq
enum<string> | null
Available options:
ServerErrorEvent,
ACPToolCallEvent,
Condensation,
CondensationRequest,
CondensationSummaryEvent,
ConversationErrorEvent,
ConversationStateUpdateEvent,
HookExecutionEvent,
LLMCompletionLogEvent,
ActionEvent,
MessageEvent,
AgentErrorEvent,
ObservationEvent,
UserRejectObservation,
SystemPromptEvent,
TokenEvent,
PauseEvent
timestamp__gte
string<date-time> | null
timestamp__lt
string<date-time> | null
sort_order
enum<string>
default:TIMESTAMP

Enum for event sorting options.

Available options:
TIMESTAMP,
TIMESTAMP_DESC
page_id
string | null
limit
integer
default:100
Required range: x <= 100

Response

Successful Response

items
(ServerErrorEvent · object | ACPToolCallEvent · object | Condensation · object | CondensationRequest · object | CondensationSummaryEvent · object | ConversationErrorEvent · object | ConversationStateUpdateEvent · object | HookExecutionEvent · object | LLMCompletionLogEvent · object | ActionEvent · object | MessageEvent · object | AgentErrorEvent · object | ObservationEvent · object | UserRejectObservation · object | SystemPromptEvent · object | TokenEvent · object | PauseEvent · object)[]
required

Event emitted by the agent server when a server-level error occurs.

This event is used for errors that originate from the agent server itself, such as MCP connection failures, WebSocket errors, or other infrastructure issues. Unlike ConversationErrorEvent which is for conversation-level failures, this event indicates a problem with the server environment.

next_page_id
string | null